Subject: :green_heart: lint
Author: ILMIR
Committer: GitHub

Date Level Type Message
2019-07-09 08:38:09 INFO runbot init Init build environment
2019-07-09 08:38:09 INFO runbot checkout closest branch for odoo/odoo is refs/heads/11.0
2019-07-09 08:38:09 INFO runbot checkout closest branch for it-projects-llc/web is refs/heads/11.0
2019-07-09 08:38:09 INFO runbot checkout closest branch for it-projects-llc/website-addons is refs/heads/11.0
2019-07-09 08:38:09 INFO runbot checkout closest branch for it-projects-llc/access-addons is refs/heads/11.0
2019-07-09 08:38:09 INFO runbot checkout closest branch for it-projects-llc/mail-addons is refs/heads/11.0
2019-07-09 08:38:09 INFO runbot checkout closest branch for it-projects-llc/server-tools is refs/heads/11.0
2019-07-09 08:38:09 INFO runbot checkout closest branch for it-projects-llc/project is refs/heads/11.0
2019-07-09 08:38:09 INFO runbot checkout closest branch for it-projects-llc/hr is refs/heads/11.0
2019-07-09 08:38:09 INFO runbot checkout closest branch for OCA/website is refs/heads/11.0
2019-07-09 08:38:09 INFO runbot checkout closest branch for codup/odoo-ru is refs/heads/11.0
2019-07-09 08:38:09 INFO runbot checkout modules to install: [u'base', u'base_attendance']
2019-07-09 08:38:44 INFO runbot check_branch_name success
2019-07-09 08:38:48 INFO runbot test_base Test Updated and explicit modules
2019-07-09 08:38:48 INFO runbot _install_and_test DB: 00813-742-b7e1bd-base, Modules: base, base_attendance
2019-07-09 08:39:57 INFO runbot pylint_script Start pylint script
2019-07-09 08:39:57 INFO runbot pylint_script No config file detected
2019-07-09 08:40:06 INFO runbot test_all ============= Test all modules =============
2019-07-09 08:40:06 INFO runbot _install_and_test DB: 00813-742-b7e1bd-all, Modules: base, autostaging_project_task, base_attendance, res_users_signature, web_sessions_management, project_tags, custom_menu_bar, project_task_order_kanban_state, base_import_map, res_partner_phone, web_debranding, invoice_sale_order_line_group, ir_attachment_force_storage, product_category_taxes, project_gantt8, reminder_crm_next_action, web_iframe_pages, autostaging_base, ir_attachment_url, web_calendar_repeat_form, thecage_data, base_session_store_psql, project_kanban_customer, customer_marketing, gamification_extra, attachment_large_object, booking_calendar_analytic, fleet_odometer_oil, auth_signup_confirmation, import_csv_fix_field_limit, project_task_auto_staging, crm_next_action, web_tour_extra, base_details, reminder_base, barcode_widget, ir_attachment_s3, product_details, project_task_subtask, project_description, reminder_task_deadline, hr_rule_input_compute, delivery_sequence, res_partner_country_code, web_calendar_quick_navigation, web_gantt8, reminder_crm_next_action_time, ir_actions_todo_repeat, res_users_signature_hr, base_groupby_extra, reminder_issue_deadline, ir_config_parameter_multi_company, production_lot_details, web_multi_attachment_base, project_task_search_custom, reminder_hr_recruitment, web_iframe, project_timelog, pitch_booking, delivery_special, web_website, web_preview, auth_signup_confirmation_crm, currency_rate_update, sale_order_hide_tax, sms_sg, res_partner_skype, web_debranding_support, hr_public_holidays_ics_import, product_tags, crm_expected_revenue, web_polymorphic_field, fleet_odometer_track_changes, booking_calendar
2019-07-09 08:43:30 INFO runbot run Start running build 00813-742-b7e1bd
2019-07-09 09:28:11 ERROR server odoo.sql_db:235 execute
bad query: b'CREATE DATABASE "session_store" ENCODING \'unicode\' TEMPLATE "template1" '
ERROR: duplicate key value violates unique constraint "pg_database_datname_index"
DETAIL:  Key (datname)=(session_store) already exists.
2019-07-09 09:28:11 WARNING server py.warnings:99 _showwarnmsg
/usr/local/lib/python3.6/site-packages/werkzeug/filesystem.py:63: BrokenFilesystemWarning: Detected a misconfigured UNIX filesystem: Will use UTF-8 as filesystem encoding instead of 'ascii'
  BrokenFilesystemWarning)
2019-07-09 09:28:11 ERROR server werkzeug:87 _log
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 205, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 193, in execute
    application_iter = app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/service/wsgi_server.py", line 166, in application
    return application_unproxied(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/service/wsgi_server.py", line 154, in application_unproxied
    result = handler(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/http.py", line 1321, in __call__
    return self.dispatch(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/http.py", line 1295, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/wsgi.py", line 599, in __call__
    return self.app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/http.py", line 1497, in dispatch
    response = self.get_response(httprequest, result, explicit_session)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/http.py", line 1434, in get_response
    self.session_store.save(httprequest.session)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/addons/base_session_store_psql/sessionstore.py", line 70, in save
    with self.get_cursor() as cr:
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/addons/base_session_store_psql/sessionstore.py", line 49, in get_cursor
    cr.execute("""CREATE DATABASE "%s" ENCODING 'unicode' TEMPLATE "%s" """ % (db_name, config['db_template']))
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/sql_db.py", line 155, in wrapper
    return f(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/sql_db.py", line 232, in execute
    res = self._obj.execute(query, params)
psycopg2.IntegrityError: duplicate key value violates unique constraint "pg_database_datname_index"
DETAIL:  Key (datname)=(session_store) already exists.
2019-07-09 09:32:00 WARNING server odoo.modules.loading:506 reset_modules_state Transient module states were reset
2019-07-09 09:32:00 ERROR server odoo.modules.registry:90 new
Failed to load registry
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/modules/registry.py", line 59, in __new__
    return cls.registries[db_name]
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: '00813-742-b7e1bd-all'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('decimal.precision', <function DecimalPrecision.precision_get at 0x7f48576c67b8>, 'Product Price')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/modules/loading.py", line 383, in load_modules
    registry.setup_models(cr)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/modules/registry.py", line 274, in setup_models
    model._setup_base()
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/models.py", line 2393, in _setup_base
    self._add_field(name, field.new())
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/models.py", line 290, in _add_field
    field.setup_base(self, name)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/fields.py", line 380, in setup_base
    self._setup_attrs(model, name)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/fields.py", line 446, in _setup_attrs
    if not (self.store and self.column_type) or self.manual or self.deprecated:
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/fields.py", line 1204, in column_type
    return ('numeric', 'numeric') if self.digits is not None else \
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/fields.py", line 1211, in digits
    return self._digits(cr)
  File "<string>", line 10, in change_digit
  File "<decorator-gen-87>", line 2, in precision_get
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/addons/decimal_precision/models/decimal_precision.py", line 19, in precision_get
    self.env.cr.execute('select digits from decimal_precision where name=%s', (application,))
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/sql_db.py", line 486, in __getattr__
    cr = self._cursor = registry(self.dbname).cursor()
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/modules/registry.py", line 484, in cursor
    return self._db.cursor()
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/sql_db.py", line 637, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/sql_db.py", line 178, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/sql_db.py", line 520, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/sql_db.py", line 588, in borrow
    **connection_info)
  File "/usr/local/lib/python3.6/site-packages/psycopg2/__init__.py", line 130, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: FATAL:  sorry, too many clients already
2019-07-09 09:32:00 ERROR server werkzeug:87 _log
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 205, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 193, in execute
    application_iter = app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/service/wsgi_server.py", line 166, in application
    return application_unproxied(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/service/wsgi_server.py", line 154, in application_unproxied
    result = handler(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/http.py", line 1321, in __call__
    return self.dispatch(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/http.py", line 1295, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/wsgi.py", line 599, in __call__
    return self.app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/http.py", line 1497, in dispatch
    response = self.get_response(httprequest, result, explicit_session)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/http.py", line 1431, in get_response
    self.session_store.delete(httprequest.session)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/addons/base_session_store_psql/sessionstore.py", line 91, in delete
    with self.get_cursor() as cr:
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/addons/base_session_store_psql/sessionstore.py", line 47, in get_cursor
    with closing(db_connect('postgres').cursor()) as cr:
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/sql_db.py", line 637, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/sql_db.py", line 178, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/sql_db.py", line 520, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00813-742-b7e1bd/odoo/sql_db.py", line 588, in borrow
    **connection_info)
  File "/usr/local/lib/python3.6/site-packages/psycopg2/__init__.py", line 130, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: FATAL:  sorry, too many clients already